#ifdef GL_ES
precision mediump int;
precision mediump float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
uniform vec4 slicePlane;
)

MAIN_PARAMETERS
IN(vec4 oColor, TEXCOORD0)
IN(vec4 oWp, TEXCOORD1)
IN(vec2 oDepth, TEXCOORD2)
MAIN_DECLARATION
{
  if(((slicePlane.x + slicePlane.y + slicePlane.z) != 0.0) && (slicePlane.x * oWp.x + slicePlane.y * oWp.y + slicePlane.z * oWp.z + slicePlane.w > 0.0))
    discard;
  
  gl_FragColor = oColor;
}
